#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 7 February 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"

library(MASS)
set.seed(1)

nicualive <- nicu[nicu$nicu_death.factor=="No",]
nicualive$birth_2kg <- cut(nicualive$birth_kg,c(0,2,100))
# nicualive$prom.factor[!(nicualive$prom.factor %in% c("No","Yes"))] <- NA; nicualive$prom.factor <- droplevels(nicualive$prom.factor)
# nicualive$maternal_preeclampsia.factor[!(nicualive$maternal_preeclampsia.factor %in% c("No","Yes"))] <- NA; nicualive$maternal_preeclampsia.factor <- droplevels(nicualive$maternal_preeclampsia.factor)
# nicualive$days_in_hospital <- nicualive$days_in_hospital+1

dd1 <- datadist(with(nicualive,data.frame(antib_number_days,gestational_age,nicu_admit_sepsis,nicu_admit_RDS,birth_kg,apgar_score_1_minute,vitamin_d_level,prom,preeclampsia,crp_everpos.factor)))
options(datadist='dd1')

## INSUFFICENT EVIDENCE: m1 <- glm.nb(antib_number_days ~ rcs(gestational_age,3)+nicu_admit_sepsis+nicu_admit_RDS+birth_kg+apgar_score_1_minute+vitamin_d_level+prom+preeclampsia+crp_everpos.factor, data=nicualive)
m1 <- glm.nb(antib_number_days ~ gestational_age+nicu_admit_sepsis+nicu_admit_RDS+rcs(birth_kg,3)+apgar_score_1_minute+vitamin_d_level+prom+preeclampsia+crp_everpos.factor, data=nicualive)
## INSUFFICENT EVIDENCE: m1 <- glm.nb(antib_number_days ~ gestational_age+nicu_admit_sepsis+nicu_admit_RDS+birth_kg+rcs(apgar_score_1_minute,4)+vitamin_d_level+prom+preeclampsia+crp_everpos.factor, data=nicualive)
## INSUFFICENT EVIDENCE: m1 <- glm.nb(antib_number_days ~ gestational_age+nicu_admit_sepsis+nicu_admit_RDS+birth_kg+apgar_score_1_minute+rcs(vitamin_d_level,3)+prom+preeclampsia+crp_everpos.factor, data=nicualive)
m2 <- glm.nb(antib_number_days ~ gestational_age+nicu_admit_sepsis+nicu_admit_RDS+birth_kg+apgar_score_1_minute+vitamin_d_level+prom+preeclampsia+crp_everpos.factor, data=nicualive)
lrtest(m1,m2)
## SINCE we can estimate the dispersion parameter from m1, would be nice to use RMS summary functions (much more eloquent for rcs)
m3 <- glm(antib_number_days ~ gestational_age+nicu_admit_sepsis+nicu_admit_RDS+rcs(birth_kg,3)+apgar_score_1_minute+vitamin_d_level+prom+preeclampsia+crp_everpos.factor, family = negative.binomial(m1$theta), data = nicualive)
m4 <- Glm(antib_number_days ~ rcs(gestational_age,3)+nicu_admit_sepsis+nicu_admit_RDS+rcs(birth_kg,3)+rcs(apgar_score_1_minute,4)+rcs(vitamin_d_level,3)+prom+preeclampsia+crp_everpos.factor, family = negative.binomial(m1$theta), data = nicualive)
nb1 <- Glm(antib_number_days ~ gestational_age+nicu_admit_sepsis+nicu_admit_RDS+rcs(birth_kg,3)+apgar_score_1_minute+vitamin_d_level+prom+preeclampsia+crp_everpos.factor, family = negative.binomial(m1$theta), data = nicualive)
m5 <- Glm(antib_number_days ~ gestational_age+nicu_admit_sepsis+nicu_admit_RDS+rcs(birth_kg,3)+apgar_score_1_minute+vitamin_d_level+prom+preeclampsia+crp_everpos.factor, family = poisson(), data = nicualive)



set.seed(123) ## ADDED LATER ON, FOR SOME REASON THIS WAS NOT CONVERGING, MUST BE CHANGES TO AREGIMPUTE? April 7, 2014
nb1.mi <- aregImpute(~antib_number_days + gestational_age+nicu_admit_sepsis+nicu_admit_RDS+birth_kg+apgar_score_1_minute+vitamin_d_level+prom+preeclampsia+crp_everpos.factor,n.impute=25,nk=4,data=nicualive) 
nb1_nl <- fit.mult.impute(antib_number_days ~ rcs(gestational_age,4)+nicu_admit_sepsis+nicu_admit_RDS+rcs(birth_kg,3)+rcs(apgar_score_1_minute,4)+rcs(vitamin_d_level,3)+prom+preeclampsia+crp_everpos.factor, Glm, family = negative.binomial(m1$theta), nb1.mi, data = nicualive)
nb1_nl <- fit.mult.impute(antib_number_days ~ rcs(gestational_age,3)+nicu_admit_sepsis+nicu_admit_RDS+rcs(birth_kg,3)+apgar_score_1_minute+vitamin_d_level+prom+preeclampsia+crp_everpos.factor, Glm, family = negative.binomial(m1$theta), nb1.mi, data = nicualive)
nb1 <- fit.mult.impute(antib_number_days ~ gestational_age+nicu_admit_sepsis+nicu_admit_RDS+rcs(birth_kg,3)+apgar_score_1_minute+vitamin_d_level+prom+preeclampsia+crp_everpos.factor, Glm, family = negative.binomial(m1$theta), nb1.mi, data = nicualive)

pval <- sapply(as.data.frame(anova(nb1))$P[c(1:4,6:10)],myformat4)

nb1sum <- summary(nb1,gestational_age=c(35,36),birth_kg=c(2,3),apgar_score_1_minute=c(5,7),vitamin_d_level=c(2,4.6))
labels <- c("Gestational age (per 1 week)","Admitted for sepsis","Admitted for RDS","Birth weight (3 vs. 2 kg)\\\\tnote{b}","Apgar at 1 minute (per 2 increase)","Vitamin D (per 2.6 increase)","PROM","Preeclampsia","Positive CRP")

nb1sumlines <- paste(labels,paste(sapply(exp(nb1sum[,4]),myformat2)," (",sapply(exp(nb1sum[,6]),myformat2),", ",sapply(exp(nb1sum[,7]),myformat2),")",sep=""),pval,sep=" & ")
nb1latex <- paste(nb1sumlines,collapse=" \\\\\\\\ ")



plot(nb1$fitted,nb1$resid)
scatter.smooth(nb1$resid~nb1$fitted,span=1/5,col=5)
## no need for transformations (log, sqrt)
plot(nb1$fitted,nb1$data$antib_number_days)



