#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 7 February 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"

nicu$receive_surfactant.factor <- droplevels(nicu$receive_surfactant.factor)
nicu$wbc_count[nicu$wbc_count=="6/13/2010"] <- NA; nicu$wbc_count <- forcenumber(nicu$wbc_count)
nicu$type_of_delivery.factor[nicu$type_of_delivery.factor=="Unknown or data not available"] <- NA
nicu$type_of_delivery.factor <- droplevels(nicu$type_of_delivery.factor)
nicu$oxyhood.factor[is.na(nicu$oxyhood.factor)] <- "No"
nicu$gestational_age <- forcenumber(nicu$gestational_age)
nicu$days_in_hospital <- nicu$days_in_hospital + 1
nicu$antib_number_days <- ifelse(nicu$days_in_hospital<nicu$antib_number_days,nicu$days_in_hospital,nicu$antib_number_days)

DEATH.N <- table(nicu$nicu_death.factor)

sex.n1 <- getnp1line(var=ifelse(nicu$sex.factor=="Female",1,NA),by=nicu$nicu_death.factor,rowlabel="Female",indent=FALSE,inc.pval=TRUE)
age.m1 <- getmedtex(var=forcenumber(nicu$gestational_age),by=nicu$nicu_death.factor,label="Gestational age",note="a")
day.m1 <- getmedtex(var=nicu$days_in_hospital,by=nicu$nicu_death.factor,label="Days in hospital",note="a")
ad1.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___1==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Sepsis",inc.pval=TRUE)
ad2.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___2==1,1,NA),by=nicu$nicu_death.factor,rowlabel="RDS",inc.pval=TRUE)
ad3.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___3==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Neonatal pneumonia",inc.pval=TRUE)       
ad4.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___4==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Prematurity",inc.pval=TRUE)
ad5.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___5==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Heart Disease",inc.pval=TRUE)
ad6.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___6==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Congenital Malformation",inc.pval=TRUE)
ad7.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___7==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Overweight Infant",inc.pval=TRUE)
ad8.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___8==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Low birth weight infant",inc.pval=TRUE)
ad9.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___9==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Jaundice",inc.pval=TRUE)
ad10.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___10==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Low apgar score",inc.pval=TRUE)
ad11.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___11==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Seizures",inc.pval=TRUE)
if(sum(nicu$nicu_admit_reason___12,na.rm=TRUE)>0) stop("ERROR: ")
#ad12.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___12==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Metabolic abnormality")
ad13.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___13==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Hypoglycemia",inc.pval=TRUE)
if(sum(nicu$nicu_admit_reason___14,na.rm=TRUE)>0) stop("ERROR: ")
#ad14.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___14==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Hypocalcemia")
ad15.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___15==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Neonatal Asphyxia",inc.pval=TRUE)
if(sum(nicu$nicu_admit_reason___16,na.rm=TRUE)>0) stop("ERROR: ")
#ad16.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___16==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Brain Hemmorrhage")
ad17.n1 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___17==1,1,NA),by=nicu$nicu_death.factor,rowlabel="Other",inc.pval=TRUE)
## death.n1 <- getnp1line(var=ifelse(nicu$nicu_death.factor=="Yes",1,NA),by=nicu$nicu_death.factor,rowlabel="Death",indent=FALSE)
wt0.m1 <- getmedtex(var=nicu$birth_weight/1000,by=nicu$nicu_death.factor,label="Birth weight (kg)",note="a")
wt5.m1 <- getmedtex(var=nicu$weight_5_days/1000,by=nicu$nicu_death.factor,label="Weight at 5 days (kg)",note="a")
ap1.m1 <- getmedtex(var=nicu$apgar_score_1_minute,by=nicu$nicu_death.factor,label="Apgar at 1 minute",note="a")
ap5.m1 <- getmedtex(var=nicu$apgar_score_5_minutes,by=nicu$nicu_death.factor,label="Apgar at 5 minutes",note="a")
vtd.m1 <- getmedtex(var=nicu$vitamin_d_level,by=nicu$nicu_death.factor,label="Vitamin D",note="a")
crp1.n1 <- getnptex(var=nicu$crp_everpos.factor,by=nicu$nicu_death.factor,label="CRP (ever positive)",rowlabel=levels(nicu$crp_everpos.factor))
sur.n1 <- getnp1line(var=ifelse(nicu$receive_surfactant.factor=="Yes",1,NA),by=nicu$nicu_death.factor,rowlabel="Received surfactant",indent=FALSE,inc.pval=TRUE)
abdays.m1 <- getmedtex(var=nicu$antib_number_days,by=nicu$nicu_death.factor,label="Days on antibiotics",note="a")
## WAY TOO MANY MISSING:   abnum.m1 <- getmedtex(var=forcenumber(nicu$total_number_of_antibiotic.factor),by=nicu$nicu_death.factor,label="Number of antibiotics",note="a")
wbc1.m1 <- getmedtex(var=nicu$wbc_count,by=nicu$nicu_death.factor,label="WBC count (1st value)",note="a")
oxy1.n1 <- getnp1line(var=ifelse(nicu$mechanical_vent.factor=="Yes",1,NA),by=nicu$nicu_death.factor,rowlabel="Vent",indent=FALSE,inc.pval=TRUE)
oxy1days.m1 <- getmedtex(var=nicu$vent_number_days,by=nicu$nicu_death.factor,label="\\\\hspace{.2in} Vent days",note="a",inc.pval=FALSE)
oxy2.n1 <- getnp1line(var=ifelse(nicu$nasal_canula.factor=="Yes",1,NA),by=nicu$nicu_death.factor,rowlabel="Nasal canula",indent=FALSE,inc.pval=TRUE)
oxy2days.m1 <- getmedtex(var=nicu$nasal_canula_days,by=nicu$nicu_death.factor,label="\\\\hspace{.2in} Nasal canula days",note="a",inc.pval=FALSE)
oxy3.n1 <- getnp1line(var=ifelse(nicu$oxyhood.factor=="Yes",1,NA),by=nicu$nicu_death.factor,rowlabel="Oxyhood",indent=FALSE,inc.pval=TRUE)
oxy3days.m1 <- getmedtex(var=nicu$oxyhood_days,by=nicu$nicu_death.factor,label="\\\\hspace{.2in} Oxyhood days",note="a",inc.pval=FALSE)
oxy4.n1 <- getnp1line(var=ifelse(nicu$incubator_oxygen.factor=="Yes",1,NA),by=nicu$nicu_death.factor,rowlabel="Incubator",indent=FALSE,inc.pval=TRUE)
oxy4days.m1 <- getmedtex(var=nicu$incubator_o2_days,by=nicu$nicu_death.factor,label="\\\\hspace{.2in} Incubator days",note="a",inc.pval=FALSE)
del.n1 <- getnptex(var=nicu$type_of_delivery.factor,label="Delivery",by=nicu$nicu_death.factor,rowlabel=levels(nicu$type_of_delivery.factor))
pr1.n1 <- getnp1line(var=ifelse(nicu$gestational_dm.factor=="Yes",1,NA),by=nicu$nicu_death.factor,rowlabel="Gestational DM",indent=FALSE,inc.pval=TRUE)
pr2.n1 <- getnp1line(var=ifelse(nicu$prom.factor=="Yes",1,NA),by=nicu$nicu_death.factor,rowlabel="PROM",indent=FALSE,inc.pval=TRUE)
pr3.n1 <- getnp1line(var=ifelse(nicu$maternal_preeclampsia.factor=="Yes",1,NA),by=nicu$nicu_death.factor,rowlabel="Preeclampsia",indent=FALSE,inc.pval=TRUE)


# nicu$days_in_hospital[nicu$nicu_death.factor]
# rds_presentation___1 rds_presentation___2 rds_presentation___3 rds_presentation___4 
#nicu$pda_first_week.factor 
#nicu$pda_after_first.factor 
#pneumothorax_first_week.factor 
#nicu$chest_tube_required.factor 
#table(nicu$iv_hemorrhage.factor )
#table(nicu$nec.factor )
#table(nicu$nec_confirmed.factor )
#table(nicu$nec_and_pneumatosis.factor )
#table(nicu$nasal_cpap.factor )
#table(nicu$bpd_diagnosed.factor )
#table(nicu$chorioamnionitis.factor )
#table(nicu$ca_culture_confim.factor )
#table(nicu$fever_labor.factor )
#table(nicu$mother_antibiotics.factor )
#table(nicu$hours_ruptured.factor )
#table(nicu$antenatal_steroids.factor )


table1 <- paste(sex.n1,age.m1$line.incmiss,day.m1$line,"Reason(s) for admission",ad1.n1,ad2.n1,ad3.n1,ad4.n1,ad5.n1,ad6.n1,ad7.n1,ad8.n1,ad9.n1
,ad10.n1 ,ad11.n1 ,ad13.n1,ad15.n1,ad17.n1 ,wt0.m1$line.incmiss,wt5.m1$line.incmiss,ap1.m1$line.incmiss,ap5.m1$line.incmiss,vtd.m1$line.incmiss
,crp1.n1$line.incmiss ,sur.n1 ,abdays.m1$line,wbc1.m1$line.incmiss ,oxy1.n1 ,oxy1days.m1$line,oxy2.n1 ,oxy2days.m1$line,oxy3.n1 
,oxy3days.m1$line,oxy4.n1 ,oxy4days.m1$line,del.n1$line.incmiss ,pr1.n1 ,pr2.n1 ,pr3.n1 ,sep=" \\\\\\\\ ")







