#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 7 February 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"

nicualive <- nicu[nicu$nicu_death.factor=="No",]

ABDAYS.N <- table(nicualive$antib_number_days>7)

sex.n2 <- getnp1line(var=ifelse(nicualive$sex.factor=="Female",1,NA),by=nicualive$antib_number_days>7,rowlabel="Female",indent=FALSE,inc.pval=TRUE)
age.m2 <- getmedtex(var=forcenumber(nicualive$gestational_age),by=nicualive$antib_number_days>7,label="Gestational age",note="a")
day.m2 <- getmedtex(var=nicualive$days_in_hospital,by=nicualive$antib_number_days>7,label="Days in hospital",note="a")
ad1.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___1==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Sepsis",inc.pval=TRUE)
ad2.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___2==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="RDS",inc.pval=TRUE)
if(sum(nicualive$nicu_admit_reason___3,na.rm=TRUE)>0) stop("ERROR: ")
# ad3.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___3==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Neonatal pneumonia",inc.pval=TRUE)       
ad4.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___4==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Prematurity",inc.pval=TRUE)
ad5.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___5==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Heart Disease",inc.pval=TRUE)
ad6.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___6==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Congenital Malformation",inc.pval=TRUE)
ad7.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___7==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Overweight Infant",inc.pval=TRUE)
ad8.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___8==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Low birth weight infant",inc.pval=TRUE)
ad9.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___9==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Jaundice",inc.pval=TRUE)
ad10.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___10==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Low apgar score",inc.pval=TRUE)
ad11.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___11==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Seizures",inc.pval=TRUE)
if(sum(nicualive$nicu_admit_reason___12,na.rm=TRUE)>0) stop("ERROR: ")
#ad12.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___12==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Metabolic abnormality")
ad13.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___13==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Hypoglycemia",inc.pval=TRUE)
if(sum(nicualive$nicu_admit_reason___14,na.rm=TRUE)>0) stop("ERROR: ")
#ad14.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___14==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Hypocalcemia")
ad15.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___15==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Neonatal Asphyxia",inc.pval=TRUE)
if(sum(nicualive$nicu_admit_reason___16,na.rm=TRUE)>0) stop("ERROR: ")
#ad16.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___16==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Brain Hemmorrhage")
ad17.n2 <- getnp1line(var=ifelse(nicualive$nicu_admit_reason___17==1,1,NA),by=nicualive$antib_number_days>7,rowlabel="Other",inc.pval=TRUE)
## death.n2 <- getnp1line(var=ifelse(nicualive$nicu_death.factor=="Yes",1,NA),by=nicualive$antib_number_days>7,rowlabel="Death",indent=FALSE)
wt0.m2 <- getmedtex(var=nicualive$birth_weight/1000,by=nicualive$antib_number_days>7,label="Birth weight (kg)",note="a")
wt5.m2 <- getmedtex(var=nicualive$weight_5_days/1000,by=nicualive$antib_number_days>7,label="Weight at 5 days (kg)",note="a")
ap1.m2 <- getmedtex(var=nicualive$apgar_score_1_minute,by=nicualive$antib_number_days>7,label="Apgar at 1 minute",note="a")
ap5.m2 <- getmedtex(var=nicualive$apgar_score_5_minutes,by=nicualive$antib_number_days>7,label="Apgar at 5 minutes",note="a")
vtd.m2 <- getmedtex(var=nicualive$vitamin_d_level,by=nicualive$antib_number_days>7,label="Vitamin D",note="a")
crp1.n2 <- getnptex(var=nicualive$crp_everpos.factor,by=nicualive$antib_number_days>7,label="CRP (ever positive)",rowlabel=levels(nicualive$crp_everpos.factor))
sur.n2 <- getnp1line(var=ifelse(nicualive$receive_surfactant.factor=="Yes",1,NA),by=nicualive$antib_number_days>7,rowlabel="Received surfactant",indent=FALSE,inc.pval=TRUE)
## abdays.m2 <- getmedtex(var=nicualive$antib_number_days,by=nicualive$antib_number_days>7,label="Days on antibiotics",note="a")
wbc1.m2 <- getmedtex(var=nicualive$wbc_count,by=nicualive$antib_number_days>7,label="WBC count (1st value)",note="a")
oxy1.n2 <- getnp1line(var=ifelse(nicualive$mechanical_vent.factor=="Yes",1,NA),by=nicualive$antib_number_days>7,rowlabel="Vent",indent=FALSE,inc.pval=TRUE)
oxy1days.m2 <- getmedtex(var=nicualive$vent_number_days,by=nicualive$antib_number_days>7,label="\\\\hspace{.2in} Vent days",note="a",inc.pval=FALSE)
oxy2.n2 <- getnp1line(var=ifelse(nicualive$nasal_canula.factor=="Yes",1,NA),by=nicualive$antib_number_days>7,rowlabel="Nasal canula",indent=FALSE,inc.pval=TRUE)
oxy2days.m2 <- getmedtex(var=nicualive$nasal_canula_days,by=nicualive$antib_number_days>7,label="\\\\hspace{.2in} Nasal canula days",note="a",inc.pval=FALSE)
oxy3.n2 <- getnp1line(var=ifelse(nicualive$oxyhood.factor=="Yes",1,NA),by=nicualive$antib_number_days>7,rowlabel="Oxyhood",indent=FALSE,inc.pval=TRUE)
oxy3days.m2 <- getmedtex(var=nicualive$oxyhood_days,by=nicualive$antib_number_days>7,label="\\\\hspace{.2in} Oxyhood days",note="a",inc.pval=FALSE)
oxy4.n2 <- getnp1line(var=ifelse(nicualive$incubator_oxygen.factor=="Yes",1,NA),by=nicualive$antib_number_days>7,rowlabel="Incubator",indent=FALSE,inc.pval=TRUE)
oxy4days.m2 <- getmedtex(var=nicualive$incubator_o2_days,by=nicualive$antib_number_days>7,label="\\\\hspace{.2in} Incubator days",note="a",inc.pval=FALSE)
del.n2 <- getnptex(var=nicualive$type_of_delivery.factor,label="Delivery",by=nicualive$antib_number_days>7,rowlabel=levels(nicualive$type_of_delivery.factor))
pr1.n2 <- getnp1line(var=ifelse(nicualive$gestational_dm.factor=="Yes",1,NA),by=nicualive$antib_number_days>7,rowlabel="Gestational DM",indent=FALSE,inc.pval=TRUE)
pr2.n2 <- getnp1line(var=ifelse(nicualive$prom.factor=="Yes",1,NA),by=nicualive$antib_number_days>7,rowlabel="PROM",indent=FALSE,inc.pval=TRUE)
pr3.n2 <- getnp1line(var=ifelse(nicualive$maternal_preeclampsia.factor=="Yes",1,NA),by=nicualive$antib_number_days>7,rowlabel="Preeclampsia",indent=FALSE,inc.pval=TRUE)



table2 <- paste(sex.n2,age.m2$line.incmiss,day.m2$line,"Reason(s) for admission",ad1.n2,ad2.n2,ad4.n2,ad5.n2,ad6.n2,ad7.n2,ad8.n2,ad9.n2
,ad10.n2 ,ad11.n2 ,ad13.n2,ad15.n2,ad17.n2,wt0.m2$line.incmiss,wt5.m2$line.incmiss,ap1.m2$line.incmiss,ap5.m2$line.incmiss,vtd.m2$line.incmiss
,crp1.n2$line.incmiss ,sur.n2 , wbc1.m2$line.incmiss ,oxy1.n2 ,oxy1days.m2$line,oxy2.n2 ,oxy2days.m2$line,oxy3.n2 
,oxy3days.m2$line,oxy4.n2 ,oxy4days.m2$line,del.n2$line.incmiss ,pr1.n2 ,pr2.n2 ,pr3.n2 ,sep=" \\\\\\\\ ")







