#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 7 February 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"

OXYHOOD.N <- table(nicu$oxyhood.factor=="Yes")

sex.n3 <- getnp1line(var=ifelse(nicu$sex.factor=="Female",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Female",indent=FALSE,inc.pval=TRUE)
age.m3 <- getmedtex(var=forcenumber(nicu$gestational_age),by=nicu$oxyhood.factor=="Yes",label="Gestational age",note="a")
day.m3 <- getmedtex(var=nicu$days_in_hospital,by=nicu$oxyhood.factor=="Yes",label="Days in hospital",note="a")
ad1.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___1==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Sepsis",inc.pval=TRUE)
ad2.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___2==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="RDS",inc.pval=TRUE)
ad3.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___3==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Neonatal pneumonia",inc.pval=TRUE)       
ad4.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___4==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Prematurity",inc.pval=TRUE)
ad5.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___5==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Heart Disease",inc.pval=TRUE)
ad6.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___6==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Congenital Malformation",inc.pval=TRUE)
ad7.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___7==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Overweight Infant",inc.pval=TRUE)
ad8.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___8==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Low birth weight infant",inc.pval=TRUE)
ad9.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___9==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Jaundice",inc.pval=TRUE)
ad10.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___10==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Low apgar score",inc.pval=TRUE)
ad11.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___11==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Seizures",inc.pval=TRUE)
if(sum(nicu$nicu_admit_reason___12,na.rm=TRUE)>0) stop("ERROR: ")
#ad12.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___12==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Metabolic abnormality")
ad13.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___13==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Hypoglycemia",inc.pval=TRUE)
if(sum(nicu$nicu_admit_reason___14,na.rm=TRUE)>0) stop("ERROR: ")
#ad14.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___14==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Hypocalcemia")
ad15.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___15==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Neonatal Asphyxia",inc.pval=TRUE)
if(sum(nicu$nicu_admit_reason___16,na.rm=TRUE)>0) stop("ERROR: ")
#ad16.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___16==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Brain Hemmorrhage")
ad17.n3 <- getnp1line(var=ifelse(nicu$nicu_admit_reason___17==1,1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Other",inc.pval=TRUE)
death.n3 <- getnp1line(var=ifelse(nicu$nicu_death.factor=="Yes",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Death",indent=FALSE)
wt0.m3 <- getmedtex(var=nicu$birth_weight/1000,by=nicu$oxyhood.factor=="Yes",label="Birth weight (kg)",note="a")
wt5.m3 <- getmedtex(var=nicu$weight_5_days/1000,by=nicu$oxyhood.factor=="Yes",label="Weight at 5 days (kg)",note="a")
ap1.m3 <- getmedtex(var=nicu$apgar_score_1_minute,by=nicu$oxyhood.factor=="Yes",label="Apgar at 1 minute",note="a")
ap5.m3 <- getmedtex(var=nicu$apgar_score_5_minutes,by=nicu$oxyhood.factor=="Yes",label="Apgar at 5 minutes",note="a")
vtd.m3 <- getmedtex(var=nicu$vitamin_d_level,by=nicu$oxyhood.factor=="Yes",label="Vitamin D",note="a")
crp1.n3 <- getnptex(var=nicu$crp_everpos.factor,by=nicu$oxyhood.factor=="Yes",label="CRP (ever positive)",rowlabel=levels(nicu$crp_everpos.factor))
sur.n3 <- getnp1line(var=ifelse(nicu$receive_surfactant.factor=="Yes",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Received surfactant",indent=FALSE,inc.pval=TRUE)
abdays.m3 <- getmedtex(var=nicu$antib_number_days,by=nicu$oxyhood.factor=="Yes",label="Days on antibiotics",note="a")
wbc1.m3 <- getmedtex(var=nicu$wbc_count,by=nicu$oxyhood.factor=="Yes",label="WBC count (1st value)",note="a")
oxy1.n3 <- getnp1line(var=ifelse(nicu$mechanical_vent.factor=="Yes",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Vent",indent=FALSE,inc.pval=TRUE)
oxy1days.m3 <- getmedtex(var=nicu$vent_number_days,by=nicu$oxyhood.factor=="Yes",label="\\\\hspace{.2in} Vent days",note="a",inc.pval=FALSE)
oxy2.n3 <- getnp1line(var=ifelse(nicu$nasal_canula.factor=="Yes",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Nasal canula",indent=FALSE,inc.pval=TRUE)
oxy2days.m3 <- getmedtex(var=nicu$nasal_canula_days,by=nicu$oxyhood.factor=="Yes",label="\\\\hspace{.2in} Nasal canula days",note="a",inc.pval=FALSE)
# oxy3.n3 <- getnp1line(var=ifelse(nicu$oxyhood.factor=="Yes",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Oxyhood",indent=FALSE,inc.pval=TRUE)
# oxy3days.m3 <- getmedtex(var=nicu$oxyhood_days,by=nicu$oxyhood.factor=="Yes",label="\\\\hspace{.2in} Oxyhood days",note="a",inc.pval=FALSE)
oxy4.n3 <- getnp1line(var=ifelse(nicu$incubator_oxygen.factor=="Yes",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Incubator",indent=FALSE,inc.pval=TRUE)
oxy4days.m3 <- getmedtex(var=nicu$incubator_o2_days,by=nicu$oxyhood.factor=="Yes",label="\\\\hspace{.2in} Incubator days",note="a",inc.pval=FALSE)
del.n3 <- getnptex(var=nicu$type_of_delivery.factor,label="Delivery",by=nicu$oxyhood.factor=="Yes",rowlabel=levels(nicu$type_of_delivery.factor))
pr1.n3 <- getnp1line(var=ifelse(nicu$gestational_dm.factor=="Yes",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Gestational DM",indent=FALSE,inc.pval=TRUE)
pr2.n3 <- getnp1line(var=ifelse(nicu$prom.factor=="Yes",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="PROM",indent=FALSE,inc.pval=TRUE)
pr3.n3 <- getnp1line(var=ifelse(nicu$maternal_preeclampsia.factor=="Yes",1,NA),by=nicu$oxyhood.factor=="Yes",rowlabel="Preeclampsia",indent=FALSE,inc.pval=TRUE)


table3 <- paste(sex.n3,age.m3$line.incmiss,day.m3$line,"Reason(s) for admission",ad1.n3,ad2.n3,ad3.n3,ad4.n3,ad5.n3,ad6.n3,ad7.n3,ad8.n3,ad9.n3
,ad10.n3 ,ad11.n3 ,ad13.n3,ad15.n3,ad17.n3 ,death.n3,wt0.m3$line.incmiss,wt5.m3$line.incmiss,ap1.m3$line.incmiss,ap5.m3$line.incmiss,vtd.m3$line.incmiss
,crp1.n3$line.incmiss ,sur.n3 ,abdays.m3$line,wbc1.m3$line.incmiss ,oxy1.n3 ,oxy1days.m3$line,oxy2.n3 ,oxy2days.m3$line,#oxy3.n3,oxy3days.m3$line,
 oxy4.n3 ,oxy4days.m3$line,del.n3$line.incmiss ,pr1.n3 ,pr2.n3 ,pr3.n3 ,sep=" \\\\\\\\ ")







