#############################################################
#
#   Program: table1.R
#   Project: 
#   PI: 
#   Statistican/Programmer: Meridith Blevins, MS
#   Purpose: 
#   Notes: 
#   Created: 7 February 2011
#   Revisions: 
#     
#
#############################################################
# getmedtex, getnptex, and simpleCAP are defined in "table_functions.R"
nicucrp1 <- nicu[!is.na(nicu$crp_everpos.factor),]
CRP.N <- table(nicucrp1$crp_everpos.factor)

sex.n5 <- getnp1line(var=ifelse(nicucrp1$sex.factor=="Female",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Female",indent=FALSE,inc.pval=TRUE)
age.m5 <- getmedtex(var=forcenumber(nicucrp1$gestational_age),by=nicucrp1$crp_everpos.factor,label="Gestational age",note="a")
day.m5 <- getmedtex(var=nicucrp1$days_in_hospital,by=nicucrp1$crp_everpos.factor,label="Days in hospital",note="a")
ad1.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___1==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Sepsis",inc.pval=TRUE)
ad2.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___2==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="RDS",inc.pval=TRUE)
ad3.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___3==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Neonatal pneumonia",inc.pval=TRUE)       
ad4.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___4==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Prematurity",inc.pval=TRUE)
ad5.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___5==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Heart Disease",inc.pval=TRUE)
ad6.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___6==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Congenital Malformation",inc.pval=TRUE)
ad7.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___7==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Overweight Infant",inc.pval=TRUE)
ad8.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___8==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Low birth weight infant",inc.pval=TRUE)
ad9.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___9==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Jaundice",inc.pval=TRUE)
ad10.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___10==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Low apgar score",inc.pval=TRUE)
ad11.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___11==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Seizures",inc.pval=TRUE)
if(sum(nicucrp1$nicu_admit_reason___12,na.rm=TRUE)>0) stop("ERROR: ")
#ad12.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___12==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Metabolic abnormality")
ad13.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___13==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Hypoglycemia",inc.pval=TRUE)
if(sum(nicucrp1$nicu_admit_reason___14,na.rm=TRUE)>0) stop("ERROR: ")
#ad14.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___14==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Hypocalcemia")
ad15.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___15==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Neonatal Asphyxia",inc.pval=TRUE)
if(sum(nicucrp1$nicu_admit_reason___16,na.rm=TRUE)>0) stop("ERROR: ")
#ad16.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___16==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Brain Hemmorrhage")
ad17.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_admit_reason___17==1,1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Other",inc.pval=TRUE)
death.n5 <- getnp1line(var=ifelse(nicucrp1$nicu_death.factor=="Yes",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Death",indent=FALSE)
wt0.m5 <- getmedtex(var=nicucrp1$birth_weight/1000,by=nicucrp1$crp_everpos.factor,label="Birth weight (kg)",note="a")
wt5.m5 <- getmedtex(var=nicucrp1$weight_5_days/1000,by=nicucrp1$crp_everpos.factor,label="Weight at 5 days (kg)",note="a")
ap1.m5 <- getmedtex(var=nicucrp1$apgar_score_1_minute,by=nicucrp1$crp_everpos.factor,label="Apgar at 1 minute",note="a")
ap5.m5 <- getmedtex(var=nicucrp1$apgar_score_5_minutes,by=nicucrp1$crp_everpos.factor,label="Apgar at 5 minutes",note="a")
vtd.m5 <- getmedtex(var=nicucrp1$vitamin_d_level,by=nicucrp1$crp_everpos.factor,label="Vitamin D",note="a")
crp1.n5 <- getnptex(var=nicucrp1$crp_everpos.factor,by=nicucrp1$crp_everpos.factor,label="CRP (1st value)",rowlabel=levels(nicucrp1$crp_everpos.factor))
sur.n5 <- getnp1line(var=ifelse(nicucrp1$receive_surfactant.factor=="Yes",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Received surfactant",indent=FALSE,inc.pval=TRUE)
abdays.m5 <- getmedtex(var=nicucrp1$antib_number_days,by=nicucrp1$crp_everpos.factor,label="Days on antibiotics",note="a")
wbc1.m5 <- getmedtex(var=nicucrp1$wbc_count,by=nicucrp1$crp_everpos.factor,label="WBC count (1st value)",note="a")
oxy1.n5 <- getnp1line(var=ifelse(nicucrp1$mechanical_vent.factor=="Yes",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Vent",indent=FALSE,inc.pval=TRUE)
oxy1days.m5 <- getmedtex(var=nicucrp1$vent_number_days,by=nicucrp1$crp_everpos.factor,label="\\\\hspace{.2in} Vent days",note="a",inc.pval=FALSE)
oxy2.n5 <- getnp1line(var=ifelse(nicucrp1$nasal_canula.factor=="Yes",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Nasal canula",indent=FALSE,inc.pval=TRUE)
oxy2days.m5 <- getmedtex(var=nicucrp1$nasal_canula_days,by=nicucrp1$crp_everpos.factor,label="\\\\hspace{.2in} Nasal canula days",note="a",inc.pval=FALSE)
oxy3.n5 <- getnp1line(var=ifelse(nicucrp1$oxyhood.factor=="Yes",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Oxyhood",indent=FALSE,inc.pval=TRUE)
oxy3days.m5 <- getmedtex(var=nicucrp1$oxyhood_days,by=nicucrp1$crp_everpos.factor,label="\\\\hspace{.2in} Oxyhood days",note="a",inc.pval=FALSE)
oxy4.n5 <- getnp1line(var=ifelse(nicucrp1$incubator_oxygen.factor=="Yes",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Incubator",indent=FALSE,inc.pval=TRUE)
oxy4days.m5 <- getmedtex(var=nicucrp1$incubator_o2_days,by=nicucrp1$crp_everpos.factor,label="\\\\hspace{.2in} Incubator days",note="a",inc.pval=FALSE)
del.n5 <- getnptex(var=nicucrp1$type_of_delivery.factor,label="Delivery",by=nicucrp1$crp_everpos.factor,rowlabel=levels(nicucrp1$type_of_delivery.factor))
pr1.n5 <- getnp1line(var=ifelse(nicucrp1$gestational_dm.factor=="Yes",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Gestational DM",indent=FALSE,inc.pval=TRUE)
pr2.n5 <- getnp1line(var=ifelse(nicucrp1$prom.factor=="Yes",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="PROM",indent=FALSE,inc.pval=TRUE)
pr3.n5 <- getnp1line(var=ifelse(nicucrp1$maternal_preeclampsia.factor=="Yes",1,NA),by=nicucrp1$crp_everpos.factor,rowlabel="Preeclampsia",indent=FALSE,inc.pval=TRUE)


table5 <- paste(sex.n5,age.m5$line.incmiss,day.m5$line,"Reason(s) for admission",ad1.n5,ad2.n5,ad3.n5,ad4.n5,ad5.n5,ad6.n5,ad7.n5,ad8.n5,ad9.n5
,ad10.n5 ,ad11.n5 ,ad13.n5,ad15.n5,ad17.n5 ,death.n5,wt0.m5$line.incmiss,wt5.m5$line.incmiss,ap1.m5$line.incmiss,ap5.m5$line.incmiss,vtd.m5$line.incmiss # ,crp1.n5 
,sur.n5 ,abdays.m5$line,wbc1.m5$line.incmiss , oxy1.n5 ,oxy1days.m5$line,
 oxy2.n5 ,oxy2days.m5$line,oxy3.n5,oxy3days.m5$line, oxy4.n5 ,oxy4days.m5$line,del.n5$line.incmiss ,pr1.n5 ,pr2.n5 ,pr3.n5 ,sep=" \\\\\\\\ ")







